diff --git a/SOURCES/info-dir b/SOURCES/info-dir
new file mode 100644
index 00000000..e53e530d
--- /dev/null
+++ b/SOURCES/info-dir
@@ -0,0 +1,22 @@
+$Id: dir,v 1.2 1996/09/24 18:43:01 karl Exp $
+This is the file .../info/dir, which contains the topmost node of the
+Info hierarchy.  The first time you invoke Info you start off
+looking at that node, which is (dir)Top.
+
+File: dir	Node: Top	This is the top of the INFO tree
+
+  This (the Directory node) gives a menu of major topics.
+  Typing "q" exits, "?" lists all Info commands, "d" returns here,
+  "h" gives a primer for first-timers,
+  "mEmacs<Return>" visits the Emacs topic, etc.
+
+  In Emacs, you can click mouse button 2 on a menu item or cross reference
+  to select it.
+
+* Menu:
+
+Texinfo documentation system
+* Info: (info).                 Documentation browsing system.
+
+Miscellaneous
+* bash: (bash).                 The Bourne Again Shell.
diff --git a/SOURCES/texinfo-4.12-zlib.patch b/SOURCES/texinfo-4.12-zlib.patch
new file mode 100644
index 00000000..cd44b1a7
--- /dev/null
+++ b/SOURCES/texinfo-4.12-zlib.patch
@@ -0,0 +1,183 @@
+diff -up texinfo-5.1/install-info/install-info.c.orig texinfo-5.1/install-info/install-info.c
+--- texinfo-5.1/install-info/install-info.c.orig	2013-03-09 03:21:55.000000000 +0100
++++ texinfo-5.1/install-info/install-info.c	2013-03-18 12:47:02.721136885 +0100
+@@ -22,6 +22,7 @@
+ #include <getopt.h>
+ #include <regex.h>
+ #include <argz.h>
++#include <zlib.h>
+
+ #define TAB_WIDTH 8
+
+@@ -670,7 +671,7 @@ The first time you invoke Info you start
+
+    MAGIC number, not the filename.  */
+
+-FILE *
++void *
+ open_possibly_compressed_file (char *filename,
+     void (*create_callback) (char *),
+     char **opened_filename, char **compression_program, int *is_pipe)
+@@ -678,7 +679,7 @@ open_possibly_compressed_file (char *fil
+   char *local_opened_filename, *local_compression_program;
+   int nread;
+   char data[13];
+-  FILE *f;
++  gzFile *f;
+
+   /* We let them pass NULL if they don't want this info, but it's easier
+      to always determine it.  */
+@@ -686,48 +687,48 @@ open_possibly_compressed_file (char *fil
+     opened_filename = &local_opened_filename;
+
+   *opened_filename = filename;
+-  f = fopen (*opened_filename, FOPEN_RBIN);
++  f = gzopen (*opened_filename, FOPEN_RBIN);
+   if (!f)
+     {
+       *opened_filename = concat (filename, ".gz", "");
+-      f = fopen (*opened_filename, FOPEN_RBIN);
++      f = gzopen (*opened_filename, FOPEN_RBIN);
+     }
+   if (!f)
+     {
+       free (*opened_filename);
+       *opened_filename = concat (filename, ".xz", "");
+-      f = fopen (*opened_filename, FOPEN_RBIN);
++      f = gzopen (*opened_filename, FOPEN_RBIN);
+     }
+   if (!f)
+     {
+       free (*opened_filename);
+       *opened_filename = concat (filename, ".bz2", "");
+-      f = fopen (*opened_filename, FOPEN_RBIN);
++      f = gzopen (*opened_filename, FOPEN_RBIN);
+     }
+   if (!f)
+     {
+       free (*opened_filename);
+       *opened_filename = concat (filename, ".lz", "");
+-      f = fopen (*opened_filename, FOPEN_RBIN);
++      f = gzopen (*opened_filename, FOPEN_RBIN);
+     }
+   if (!f)
+     {
+      free (*opened_filename);
+      *opened_filename = concat (filename, ".lzma", "");
+-     f = fopen (*opened_filename, FOPEN_RBIN);
++     f = gzopen (*opened_filename, FOPEN_RBIN);
+     }
+ #ifdef __MSDOS__
+   if (!f)
+     {
+       free (*opened_filename);
+       *opened_filename = concat (filename, ".igz", "");
+-      f = fopen (*opened_filename, FOPEN_RBIN);
++      f = gzopen (*opened_filename, FOPEN_RBIN);
+     }
+   if (!f)
+     {
+       free (*opened_filename);
+       *opened_filename = concat (filename, ".inz", "");
+-      f = fopen (*opened_filename, FOPEN_RBIN);
++      f = gzopen (*opened_filename, FOPEN_RBIN);
+     }
+ #endif /* __MSDOS__ */
+    if (!f)
+@@ -739,7 +740,7 @@ open_possibly_compressed_file (char *fil
+            /* And try opening it again.  */
+            free (*opened_filename);
+            *opened_filename = filename;
+-           f = fopen (*opened_filename, FOPEN_RBIN);
++           f = gzopen (*opened_filename, FOPEN_RBIN);
+            if (!f)
+              pfatal_with_name (filename);
+          }
+@@ -749,12 +750,12 @@ open_possibly_compressed_file (char *fil
+
+   /* Read first few bytes of file rather than relying on the filename.
+      If the file is shorter than this it can't be usable anyway.  */
+-  nread = fread (data, sizeof (data), 1, f);
+-  if (nread != 1)
++  nread = gzread (f, data, sizeof (data));
++  if (nread != sizeof (data))
+     {
+       /* Empty files don't set errno, so we get something like
+          "install-info: No error for foo", which is confusing.  */
+-      if (nread == 0)
++      if (nread >= 0)
+         fatal (_("%s: empty file"), *opened_filename);
+       pfatal_with_name (*opened_filename);
+     }
+@@ -821,20 +822,22 @@ open_possibly_compressed_file (char *fil
+
+   if (*compression_program)
+     { /* It's compressed, so fclose the file and then open a pipe.  */
++      FILE *p;
+       char *command = concat (*compression_program," -cd <", *opened_filename);
+-      if (fclose (f) < 0)
++      if (gzclose (f) < 0)
+         pfatal_with_name (*opened_filename);
+-      f = popen (command, "r");
+-      if (f)
++      p = popen (command, "r");
++      if (p)
+         *is_pipe = 1;
+       else
+         pfatal_with_name (command);
++      return p;
+     }
+   else
+     { /* It's a plain file, seek back over the magic bytes.  */
+-      if (fseek (f, 0, 0) < 0)
++      if (gzseek (f, 0, SEEK_SET) < 0)
+         pfatal_with_name (*opened_filename);
+-#if O_BINARY
++#if 0 && O_BINARY
+       /* Since this is a text file, and we opened it in binary mode,
+          switch back to text mode.  */
+       f = freopen (*opened_filename, "r", f);
+@@ -859,7 +862,7 @@ readfile (char *filename, int *sizep,
+     char **compression_program)
+ {
+   char *real_name;
+-  FILE *f;
++  void *f;
+   int pipe_p;
+   int filled = 0;
+   int data_size = 8192;
+@@ -873,7 +876,12 @@ readfile (char *filename, int *sizep,
+
+   for (;;)
+     {
+-      int nread = fread (data + filled, 1, data_size - filled, f);
++      int nread;
++
++      if (pipe_p)
++        nread = fread (data + filled, 1, data_size - filled, f);
++      else
++        nread = gzread (f, data + filled, data_size - filled);
+       if (nread < 0)
+         pfatal_with_name (real_name);
+       if (nread == 0)
+@@ -895,7 +903,7 @@ readfile (char *filename, int *sizep,
+   if (pipe_p)
+     pclose (f);
+   else
+-    fclose (f);
++    gzclose (f);
+
+   *sizep = filled;
+   return data;
+diff -up texinfo-5.1/install-info/Makefile.in.orig texinfo-5.1/install-info/Makefile.in
+--- texinfo-5.1/install-info/Makefile.in.orig	2013-03-12 23:56:43.000000000 +0100
++++ texinfo-5.1/install-info/Makefile.in	2013-03-18 12:42:57.165767101 +0100
+@@ -171,7 +171,7 @@ am__installdirs = "$(DESTDIR)$(bindir)"
+ PROGRAMS = $(bin_PROGRAMS)
+ am_ginstall_info_OBJECTS = install-info.$(OBJEXT)
+ ginstall_info_OBJECTS = $(am_ginstall_info_OBJECTS)
+-ginstall_info_LDADD = $(LDADD)
++ginstall_info_LDADD = $(LDADD) -lz
+ am__DEPENDENCIES_1 =
+ ginstall_info_DEPENDENCIES = $(top_builddir)/gnulib/lib/libgnu.a \
+	$(am__DEPENDENCIES_1)
diff --git a/SOURCES/texinfo-4.13a-powerpc.patch b/SOURCES/texinfo-4.13a-powerpc.patch
new file mode 100644
index 00000000..69e475e0
--- /dev/null
+++ b/SOURCES/texinfo-4.13a-powerpc.patch
@@ -0,0 +1,12 @@
+diff -up texinfo-5.1/install-info/install-info.c.orig texinfo-5.1/install-info/install-info.c
+--- texinfo-5.1/install-info/install-info.c.orig	2013-03-18 12:37:15.375860494 +0100
++++ texinfo-5.1/install-info/install-info.c	2013-03-18 12:37:42.589012295 +0100
+@@ -835,7 +835,7 @@ open_possibly_compressed_file (char *fil
+     }
+   else
+     { /* It's a plain file, seek back over the magic bytes.  */
+-      if (gzseek (f, 0, SEEK_SET) < 0)
++      if (gzseek (f, 0, SEEK_SET) == -1)
+         pfatal_with_name (*opened_filename);
+ #if 0 && O_BINARY
+       /* Since this is a text file, and we opened it in binary mode,
diff --git a/SOURCES/texinfo-5.1-enumerate-start-greater-than-nine-fix.patch b/SOURCES/texinfo-5.1-enumerate-start-greater-than-nine-fix.patch
new file mode 100644
index 00000000..cecc7a3b
--- /dev/null
+++ b/SOURCES/texinfo-5.1-enumerate-start-greater-than-nine-fix.patch
@@ -0,0 +1,234 @@
+diff -up texinfo-5.1/tp/t/converters_tests.t.orig texinfo-5.1/tp/t/converters_tests.t
+--- texinfo-5.1/tp/t/converters_tests.t.orig	2013-02-19 23:25:47.000000000 +0100
++++ texinfo-5.1/tp/t/converters_tests.t	2017-10-02 14:57:40.692452831 +0200
+@@ -707,6 +707,11 @@ explanation
+ in para
+ @image{f--ile,,,a very long alt argument that could span more than one line who knows}.
+ '],
++['enumerate_above_ten',
++'@enumerate 14
++@item a
++@end enumerate
++'],
+ ['footnote_no_number',
+ '@node Top
+
+diff -up texinfo-5.1/tp/Texinfo/Common.pm.orig texinfo-5.1/tp/Texinfo/Common.pm
+--- texinfo-5.1/tp/Texinfo/Common.pm.orig	2013-02-25 22:20:23.000000000 +0100
++++ texinfo-5.1/tp/Texinfo/Common.pm	2017-10-02 14:57:40.689452828 +0200
+@@ -1382,7 +1382,7 @@ sub enumerate_item_representation($$)
+   my $specification = shift;
+   my $number = shift;
+
+-  if ($specification =~ /^[0-9]$/) {
++  if ($specification =~ /^[0-9]+$/) {
+     return $specification + $number -1;
+   }
+
+diff -up texinfo-5.1/tp/Texinfo/Parser.pm.orig texinfo-5.1/tp/Texinfo/Parser.pm
+--- texinfo-5.1/tp/Texinfo/Parser.pm.orig	2013-03-05 02:11:42.000000000 +0100
++++ texinfo-5.1/tp/Texinfo/Parser.pm	2017-10-02 14:57:40.691452829 +0200
+@@ -2973,7 +2973,7 @@ sub _end_line($$$)
+                         $current->{'cmdname'});
+           }
+           my $arg = $current->{'extra'}->{'block_command_line_contents'}->[0]->[0];
+-          if (!defined($arg->{'text'}) or $arg->{'text'} !~ /^[[:alnum:]]$/) {
++          if (!defined($arg->{'text'}) or $arg->{'text'} !~ /^(([[:digit:]]+)|([[:alpha:]]+))$/) {
+             $self->_command_error($current, $line_nr,
+                         $self->__("bad argument to \@%s"),
+                         $current->{'cmdname'});
+diff -up texinfo-5.1/tp/t/results/converters_tests/enumerate_above_ten.pl.orig texinfo-5.1/tp/t/results/converters_tests/enumerate_above_ten.pl
+--- texinfo-5.1/tp/t/results/converters_tests/enumerate_above_ten.pl.orig	2017-10-02 14:57:40.691452829 +0200
++++ texinfo-5.1/tp/t/results/converters_tests/enumerate_above_ten.pl	2017-10-02 14:57:40.691452829 +0200
+@@ -0,0 +1,191 @@
++use vars qw(%result_texis %result_texts %result_trees %result_errors
++   %result_indices %result_sectioning %result_nodes %result_menus
++   %result_floats %result_converted %result_converted_errors
++   %result_elements %result_directions_text);
++
++use utf8;
++
++$result_trees{'enumerate_above_ten'} = {
++  'contents' => [
++    {
++      'args' => [
++        {
++          'contents' => [
++            {
++              'extra' => {
++                'command' => {}
++              },
++              'parent' => {},
++              'text' => ' ',
++              'type' => 'empty_spaces_after_command'
++            },
++            {
++              'parent' => {},
++              'text' => '14'
++            },
++            {
++              'parent' => {},
++              'text' => '
++',
++              'type' => 'space_at_end_block_command'
++            }
++          ],
++          'parent' => {},
++          'type' => 'block_line_arg'
++        }
++      ],
++      'cmdname' => 'enumerate',
++      'contents' => [
++        {
++          'cmdname' => 'item',
++          'contents' => [
++            {
++              'extra' => {
++                'command' => {}
++              },
++              'parent' => {},
++              'text' => ' ',
++              'type' => 'empty_spaces_after_command'
++            },
++            {
++              'contents' => [
++                {
++                  'parent' => {},
++                  'text' => 'a
++'
++                }
++              ],
++              'parent' => {},
++              'type' => 'paragraph'
++            }
++          ],
++          'extra' => {
++            'item_number' => 1,
++            'spaces_after_command' => {}
++          },
++          'line_nr' => {
++            'file_name' => '',
++            'line_nr' => 2,
++            'macro' => ''
++          },
++          'parent' => {}
++        },
++        {
++          'args' => [
++            {
++              'contents' => [
++                {
++                  'extra' => {
++                    'command' => {}
++                  },
++                  'parent' => {},
++                  'text' => ' ',
++                  'type' => 'empty_spaces_after_command'
++                },
++                {
++                  'parent' => {},
++                  'text' => 'enumerate'
++                },
++                {
++                  'parent' => {},
++                  'text' => '
++',
++                  'type' => 'spaces_at_end'
++                }
++              ],
++              'parent' => {},
++              'type' => 'misc_line_arg'
++            }
++          ],
++          'cmdname' => 'end',
++          'extra' => {
++            'command' => {},
++            'command_argument' => 'enumerate',
++            'spaces_after_command' => {},
++            'text_arg' => 'enumerate'
++          },
++          'line_nr' => {
++            'file_name' => '',
++            'line_nr' => 3,
++            'macro' => ''
++          },
++          'parent' => {}
++        }
++      ],
++      'extra' => {
++        'block_command_line_contents' => [
++          [
++            {}
++          ]
++        ],
++        'end_command' => {},
++        'enumerate_specification' => '14',
++        'spaces_after_command' => {}
++      },
++      'line_nr' => {
++        'file_name' => '',
++        'line_nr' => 1,
++        'macro' => ''
++      },
++      'parent' => {}
++    }
++  ],
++  'type' => 'text_root'
++};
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'args'}[0]{'contents'}[0]{'extra'}{'command'} = $result_trees{'enumerate_above_ten'}{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'args'}[0]{'contents'}[0]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'args'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'args'}[0]{'contents'}[1]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'args'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'args'}[0]{'contents'}[2]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'args'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'args'}[0]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0]{'contents'}[0]{'extra'}{'command'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0]{'contents'}[0]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0]{'contents'}[1]{'contents'}[0]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0]{'contents'}[1];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0]{'contents'}[1]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0]{'extra'}{'spaces_after_command'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0]{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[0]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'args'}[0]{'contents'}[0]{'extra'}{'command'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'args'}[0]{'contents'}[0]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'args'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'args'}[0]{'contents'}[1]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'args'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'args'}[0]{'contents'}[2]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'args'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'args'}[0]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'extra'}{'command'} = $result_trees{'enumerate_above_ten'}{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'extra'}{'spaces_after_command'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'args'}[0]{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1]{'parent'} = $result_trees{'enumerate_above_ten'}{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'extra'}{'block_command_line_contents'}[0][0] = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'args'}[0]{'contents'}[1];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'extra'}{'end_command'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'contents'}[1];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'extra'}{'spaces_after_command'} = $result_trees{'enumerate_above_ten'}{'contents'}[0]{'args'}[0]{'contents'}[0];
++$result_trees{'enumerate_above_ten'}{'contents'}[0]{'parent'} = $result_trees{'enumerate_above_ten'};
++
++$result_texis{'enumerate_above_ten'} = '@enumerate 14
++@item a
++@end enumerate
++';
++
++
++$result_texts{'enumerate_above_ten'} = '14. a
++';
++
++$result_errors{'enumerate_above_ten'} = [];
++
++
++
++$result_converted{'plaintext'}->{'enumerate_above_ten'} = '  14. a
++';
++
++
++$result_converted{'html_text'}->{'enumerate_above_ten'} = '<ol>
++<li> a
++</li></ol>
++';
++
++
++$result_converted{'xml'}->{'enumerate_above_ten'} = '<enumerate first="14" spaces=" " endspaces=" "><enumeratefirst>14</enumeratefirst>
++<listitem spaces=" "><para>a
++</para></listitem></enumerate>
++';
++
++
++$result_converted{'docbook'}->{'enumerate_above_ten'} = '<orderedlist numeration="arabic"><listitem><para>a
++</para></listitem></orderedlist>';
++
++1;
diff --git a/SOURCES/texinfo-5.1-pod-simple-texinfo-test-fail-fix.patch b/SOURCES/texinfo-5.1-pod-simple-texinfo-test-fail-fix.patch
new file mode 100644
index 00000000..a14642a7
--- /dev/null
+++ b/SOURCES/texinfo-5.1-pod-simple-texinfo-test-fail-fix.patch
@@ -0,0 +1,40 @@
+diff -up texinfo-5.1/Pod-Simple-Texinfo/t/Pod-Simple-Texinfo.t.orig texinfo-5.1/Pod-Simple-Texinfo/t/Pod-Simple-Texinfo.t
+--- texinfo-5.1/Pod-Simple-Texinfo/t/Pod-Simple-Texinfo.t.orig	2013-02-19 23:25:28.000000000 +0100
++++ texinfo-5.1/Pod-Simple-Texinfo/t/Pod-Simple-Texinfo.t	2017-10-02 14:39:20.134383675 +0200
+@@ -50,6 +50,10 @@ X<aaa>
+
+ ', 'index in head');
+
++TODO: {
++
++local $TODO = 'Pod::Simple not ignoring correctly X<>';
++
+ run_test ('=head1 NAME
+ X<aaa>
+ ',
+@@ -59,6 +63,8 @@ X<aaa>
+
+ ', 'index in head node', 1, 2);
+
++}
++
+ run_test ('=head1 NAME
+
+ T@c
+@@ -138,6 +144,8 @@ Para
+ run_test('=over
+
+ =item L</somewhere>
++
++=back
+ ', '@table @asis
+ @item @ref{somewhere}
+ @anchor{somewhere}
+@@ -176,6 +184,7 @@ run_test('=over
+
+ =item a L<pod2latex|pod2latex>
+
++=back
+ ', '@table @asis
+ @item a @ref{, pod2text,, pod2text}
+ @anchor{a pod2text}
diff --git a/SOURCES/texinfo-5.2-non-existing-info-page-segfault.patch b/SOURCES/texinfo-5.2-non-existing-info-page-segfault.patch
new file mode 100644
index 00000000..1251d076
--- /dev/null
+++ b/SOURCES/texinfo-5.2-non-existing-info-page-segfault.patch
@@ -0,0 +1,18 @@
+diff -up texinfo-5.2/info/info.c.orig texinfo-5.2/info/info.c
+--- texinfo-5.2/info/info.c.orig	2014-01-16 08:55:50.084084818 +0100
++++ texinfo-5.2/info/info.c	2014-01-16 08:55:55.464112252 +0100
+@@ -859,7 +859,13 @@ show_error_node (NODE *node)
+ {
+   if (info_error_rings_bell_p)
+     terminal_ring_bell ();
+-  if (!echo_area_is_active)
++  if (user_output_filename)
++    {
++      if (node->contents[node->nodelen - 1] == '\n')
++        node->contents[node->nodelen - 1] = 0;
++      info_error ("%s", node->contents);
++    }
++  else if (!echo_area_is_active)
+     {
+       free_echo_area ();
+       window_set_node_of_window (the_echo_area, node);
diff --git a/SPECS/texinfo.spec b/SPECS/texinfo.spec
new file mode 100644
index 00000000..8e4418e3
--- /dev/null
+++ b/SPECS/texinfo.spec
@@ -0,0 +1,616 @@
+%global tex_texinfo %{_datadir}/texmf/tex/texinfo
+
+Summary: Tools needed to create Texinfo format documentation files
+Name: texinfo
+Version: 5.1
+Release: 5%{?dist}
+License: GPLv3+
+Group: Applications/Publishing
+Url: http://www.gnu.org/software/texinfo/
+Source0: ftp://ftp.gnu.org/gnu/texinfo/texinfo-%{version}.tar.xz
+Source1: ftp://ftp.gnu.org/gnu/texinfo/texinfo-%{version}.tar.xz.sig
+Source2: info-dir
+Patch0: texinfo-4.12-zlib.patch
+Patch1: texinfo-4.13a-powerpc.patch
+# Patch2: bz#1053129, already upstream
+Patch2: texinfo-5.2-non-existing-info-page-segfault.patch
+# Patch3: bz#970986, already upstream
+Patch3: texinfo-5.1-pod-simple-texinfo-test-fail-fix.patch
+# Patch4: bz#1134160, already upstream
+Patch4: texinfo-5.1-enumerate-start-greater-than-nine-fix.patch
+Requires(post): /sbin/install-info
+Requires(preun): /sbin/install-info
+Requires: perl >= 5.7.3, perl(Text::Unidecode)
+# Review Request for perl-Unicode-EastAsianWidth - bz874743
+#Requires: perl(Unicode::EastAsianWidth)
+BuildRequires: zlib-devel, ncurses-devel, help2man, perl(Data::Dumper)
+
+%description
+Texinfo is a documentation system that can produce both online
+information and printed output from a single source file. The GNU
+Project uses the Texinfo file format for most of its documentation.
+
+Install texinfo if you want a documentation system for producing both
+online and print documentation from the same source file and/or if you
+are going to write documentation for the GNU Project.
+
+%package -n info
+Summary: A stand-alone TTY-based reader for GNU texinfo documentation
+Group: System Environment/Base
+
+%description -n info
+The GNU project uses the texinfo file format for much of its
+documentation. The info package provides a standalone TTY-based
+browser program for viewing texinfo files.
+
+%package tex
+Summary: Tools for formatting Texinfo documentation files using TeX
+Group: Applications/Publishing
+Requires: texinfo = %{version}-%{release}
+Requires: tex(tex) tex(epsf.tex)
+Requires(post): %{_bindir}/texconfig-sys
+Requires(postun): %{_bindir}/texconfig-sys
+
+%description tex
+Texinfo is a documentation system that can produce both online
+information and printed output from a single source file. The GNU
+Project uses the Texinfo file format for most of its documentation.
+
+The texinfo-tex package provides tools to format Texinfo documents
+for printing using TeX.
+
+%prep
+%setup -q
+%patch0 -p1 -b .zlib
+%patch1 -p1 -b .powerpc
+%patch2 -p1 -b .non-existing-info-page-segfault
+%patch3 -p1 -b .pod-simple-texinfo-test-fail-fix
+%patch4 -p1 -b .enumerate-start-greater-than-nine-fix
+
+%build
+%configure --with-external-Text-Unidecode \
+           --with-external-libintl-perl \
+# line below - bz874743
+#            --with-external-Unicode-EastAsianWidth
+make %{?_smp_mflags}
+
+%install
+mkdir -p ${RPM_BUILD_ROOT}/sbin
+
+make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
+
+mkdir -p $RPM_BUILD_ROOT%{tex_texinfo}
+install -p -m644 doc/texinfo.tex doc/txi-??.tex $RPM_BUILD_ROOT%{tex_texinfo}
+
+install -p -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_infodir}/dir
+mv $RPM_BUILD_ROOT%{_bindir}/install-info $RPM_BUILD_ROOT/sbin
+
+%find_lang %{name}
+%find_lang %{name}_document
+
+%post
+if [ -f %{_infodir}/texinfo.gz ]; then # --excludedocs?
+    /sbin/install-info %{_infodir}/texinfo.gz %{_infodir}/dir || :
+fi
+
+%preun
+if [ $1 = 0 ]; then
+    if [ -f %{_infodir}/texinfo.gz ]; then # --excludedocs?
+        /sbin/install-info --delete %{_infodir}/texinfo.gz %{_infodir}/dir || :
+    fi
+fi
+
+%post -n info
+if [ -f %{_infodir}/info-stnd.info ]; then # --excludedocs?
+    /sbin/install-info %{_infodir}/info-stnd.info %{_infodir}/dir
+fi
+if [ -x /bin/sed ]; then
+    /bin/sed -i '/^This is.*produced by makeinfo.*from/d' %{_infodir}/dir || :
+fi
+
+%preun -n info
+if [ $1 = 0 ]; then
+    if [ -f %{_infodir}/info-stnd.info ]; then # --excludedocs?
+        /sbin/install-info --delete %{_infodir}/info-stnd.info %{_infodir}/dir \
+        || :
+    fi
+fi
+
+%post tex
+%{_bindir}/texconfig-sys rehash 2> /dev/null || :
+
+%postun tex
+%{_bindir}/texconfig-sys rehash 2> /dev/null || :
+
+
+%files -f %{name}.lang -f %{name}_document.lang
+%doc AUTHORS ChangeLog NEWS README TODO COPYING
+%{_bindir}/makeinfo
+%{_bindir}/texi2any
+%{_bindir}/pod2texi
+%{_datadir}/texinfo
+%{_infodir}/texinfo*
+%{_mandir}/man1/makeinfo.1*
+%{_mandir}/man5/texinfo.5*
+%{_mandir}/man1/texi2any.1*
+%{_mandir}/man1/pod2texi.1*
+
+%files -n info
+%config(noreplace) %verify(not md5 size mtime) %{_infodir}/dir
+%doc COPYING
+%{_bindir}/info
+%{_bindir}/infokey
+%{_infodir}/info.info*
+%{_infodir}/info-stnd.info*
+/sbin/install-info
+%{_mandir}/man1/info.1*
+%{_mandir}/man1/infokey.1*
+%{_mandir}/man1/install-info.1*
+%{_mandir}/man5/info.5*
+
+%files tex
+%{_bindir}/texindex
+%{_bindir}/texi2dvi
+%{_bindir}/texi2pdf
+%{_bindir}/pdftexi2dvi
+%{tex_texinfo}/
+%{_mandir}/man1/texindex.1*
+%{_mandir}/man1/texi2dvi.1*
+%{_mandir}/man1/texi2pdf.1*
+%{_mandir}/man1/pdftexi2dvi.1*
+
+%changelog
+* Mon Oct 02 2017 Vitezslav Crhonek <vcrhonek@redhat.com> - 5.1-5
+- Fix upstream test failure in Pod-Simple-Texinfo
+  Resolves: #970986
+- Fix @enumerate does not support start numbers greater than nine
+  Resolves: #1134160
+
+* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 5.1-4
+- Mass rebuild 2014-01-24
+
+* Mon Jan 20 2014 Vitezslav Crhonek <vcrhonek@redhat.com> - 5.1-3
+- Fix info segfaults on non existing info page when used with -o
+  Resolves: #1053129
+
+* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 5.1-2
+- Mass rebuild 2013-12-27
+
+* Mon Mar 18 2013 Vitezslav Crhonek <vcrhonek@redhat.com> - 5.1-1
+- Update to texinfo-5.1
+
+* Tue Mar 05 2013 Vitezslav Crhonek <vcrhonek@redhat.com> - 5.0-3
+- Fix bug in parser
+  Resolves: #917974
+
+* Wed Feb 20 2013 Vitezslav Crhonek <vcrhonek@redhat.com> - 5.0-2
+- Fix configure arguments, remove ChangeLog conversion,
+  move texi2any/pod2texi to main package
+
+* Tue Feb 19 2013 Vitezslav Crhonek <vcrhonek@redhat.com> - 5.0-1
+- Update to texinfo-5.0
+
+* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13a-20
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
+
+* Tue Nov 13 2012 Jindrich Novy <jnovy@redhat.com> - 4.13a-19
+- require epsf.tex (#868011)
+
+* Mon Sep 10 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.13a-18
+- Fix issues found by fedora-review utility in the spec file
+
+* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13a-17
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
+
+* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13a-16
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
+
+* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13a-15
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
+
+* Tue Jan 11 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.13a-14
+- Fix missing Texinfo manual in the Directory node
+  Resolves: #662382
+
+* Wed Nov 10 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.13a-13
+- Fix get_sectioning_number function problem
+  Resolves: #651314
+
+* Tue Nov  9 2010 Jindrich Novy <jnovy@redhat.com> - 4.13a-12
+- require tex(tex) instead of tetex in texinfo-tex
+
+* Mon Oct 11 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.13a-11
+- Fix incopatible regexp with the lates version of egrep in texi2dvi script
+  Resolves: #641534
+
+* Tue Aug 31 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.13a-10
+- Fix info crash when using index in help window
+  Resolves: #579263
+
+* Mon Jan 11 2010 Jan Gorig <jgorig@redhat.com> - 4.13a-9
+- Fix PowerPC return code bug #531349
+
+* Mon Dec 14 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.13a-8
+- Fix memory allocation bug when using old-style --section "Foo" arguments
+
+* Wed Sep  2 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.13a-7
+- Fix errors installing texinfo/info with --excludedocs
+  Resolves: #515909
+  Resolves: #515938
+
+* Wed Aug 12 2009 Ville Skyttä <ville.skytta@iki.fi> - 4.13a-6
+- Use lzma compressed upstream tarball.
+
+* Wed Aug  5 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.13a-5
+- Fix changelog entry and rebuild
+
+* Tue Aug  4 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.13a-4
+- Fix data types (fix by Ralf Corsepius)
+  Resolves: #515402
+
+* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13a-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
+
+* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.13a-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
+
+* Thu Nov 20 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.13-1
+- Update to texinfo-4.13a
+  Resolves: #471194
+  Resolves: #208511
+
+* Wed Jun  4 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.12-4
+- Remove sed Requires (dependency loop)
+  Resolves: #449705
+
+* Mon Jun  2 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.12-3
+- Fix install-info crashes on some info files
+  Resolves: #449292
+
+* Thu May 29 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.12-2
+- Fix Requires and info post script
+
+* Wed May 14 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.12-1
+- Update to texinfo-4.12
+- Remove description ("This is...") from /usr/share/info/dir in info
+  post install section
+  Resolves: #433535
+
+* Mon Feb  4 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.11-5
+- Merge Review
+  Resolves: #226488
+
+* Mon Dec 10 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.11-4
+- Don't insert description ("This is...") into the direntry section
+  of some generated files
+  Resolves: #394191
+
+* Tue Nov 13 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.11-3
+- Fix info crashes when resizing window
+  Resolves: #243971
+
+* Wed Nov  7 2007 Stepan Kasal <skasal@redhat.com> - 4.11-2
+- fix a typo in texinfo-tex summary
+  Resolves: #239216
+
+* Wed Sep 19 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.11-1
+- Rebase to upstream texinfo-4.11 (update zlib.patch, drop
+  texindex.patch and 0xA0.patch -- both included in upstream)
+  Resolves: #295441
+
+* Tue Aug 28 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.9-2
+- Fix license
+- Rebuild
+
+* Tue Jul 31 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 4.9-1
+- Rebase to upstream texinfo-4.9, fix typo in summary
+  Resolves: #250119, #248883
+
+* Mon Dec  4 2006 Miloslav Trmac <mitr@redhat.com> - 4.8-15
+- Don't replace 0xA0 by a space in makeinfo
+  Related: #208511
+- Fix some rpmlint warnings
+
+* Sun Nov  5 2006 Miloslav Trmac <mitr@redhat.com> - 4.8-14
+- Remove off-line sorting from texindex (fixes CVE 2006-4810)
+
+* Mon Oct  9 2006 Miloslav Trmac <mitr@redhat.com> - 4.8-13
+- Don't use mode 0666 for the texindex temporary files
+
+* Mon Oct  9 2006 Miloslav Trmac <mitr@redhat.com> - 4.8-12
+- Don't leave around temporary files used by texindex
+- Add missing error handling to texinfo-CAN-2005-3011.patch
+
+* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 4.8-11.1
+- rebuild
+
+* Sat Mar 25 2006 Miloslav Trmac <mitr@redhat.com> - 4.8-11
+- Split texinfo-tex from the texinfo package (#178406)
+- Ship COPYING, don't ship INSTALL
+
+* Sun Mar 19 2006 Miloslav Trmac <mitr@redhat.com> - 4.8-10
+- Remove incorrect Prefix:
+- Drop info/README
+- Convert change log to UTF-8
+
+* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 4.8-9.2
+- bump again for double-long bug on ppc(64)
+
+* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 4.8-9.1
+- rebuilt for new gcc4.1 snapshot and glibc changes
+
+* Mon Jan 16 2006 Miloslav Trmac <mitr@redhat.com> - 4.8-9
+- Fix handling of bzip2'ed files (#128637)
+
+* Mon Jan 16 2006 Miloslav Trmac <mitr@redhat.com> - 4.8-8
+- Ignore scriptlet failures with --excludedocs (#166958)
+- Don't link texindex to zlib, don't pretend to link to zlib statically
+
+* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
+- rebuilt
+
+* Fri Oct 14 2005 Tim Waugh <twaugh@redhat.com> 4.8-7
+- Apply patch to fix CAN-2005-3011 (bug #169585).
+
+* Thu Jun  9 2005 Tim Waugh <twaugh@redhat.com> 4.8-6
+- Ship texi2pdf man page, taken from tetex-2.0.2 RPM.
+
+* Tue Jun  7 2005 Tim Waugh <twaugh@redhat.com> 4.8-5
+- Ship texi2pdf (bug #147271).
+
+* Mon Mar 14 2005 Tim Waugh <twaugh@redhat.com> 4.8-4
+- Requires tetex (bug #151075).
+
+* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 4.8-3
+- Rebuild for new GCC.
+
+* Mon Feb  7 2005 Tim Waugh <twaugh@redhat.com> 4.8-2
+- Don't ship texi2pdf (bug #147271).
+
+* Thu Feb  3 2005 Tim Waugh <twaugh@redhat.com> 4.8-1
+- 4.8.
+
+* Thu Dec 30 2004 Tim Waugh <twaugh@redhat.com> 4.7-6
+- Fixed URL (bug #143729).
+
+* Thu Aug 12 2004 Tim Waugh <twaugh@redhat.com> 4.7-5
+- Rebuilt.
+
+* Wed Jul  7 2004 Tim Waugh <twaugh@redhat.com> 4.7-4
+- Build for FC2.
+
+* Tue Jun 29 2004 Tim Waugh <twaugh@redhat.com> 4.7-3
+- Fix grouping in user-defined macros.
+
+* Mon Jun 28 2004 Tim Waugh <twaugh@redhat.com> 4.7-2
+- Build requires ncurses-devel (bug #126600).
+
+* Fri Jun 25 2004 Tim Waugh <twaugh@redhat.com> 4.7-1
+- 4.7.
+
+* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
+- rebuilt
+
+* Tue Mar  2 2004 Tim Waugh <twaugh@redhat.com>
+- Fixed compiler warning (bug #117097).
+
+* Sat Feb 21 2004 Tim Waugh <twaugh@redhat.com> 4.6-3
+- Build requires zlib-devel (bug #116436).
+
+* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
+- rebuilt
+
+* Tue Dec  2 2003 Tim Waugh <twaugh@redhat.com> 4.6-1
+- Fixed compiler warning (bug #111279).
+- 4.6.
+
+* Tue Jun 17 2003 Tim Waugh <twaugh@redhat.com> 4.5-3
+- Rebuilt.
+
+* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
+- rebuilt
+
+* Tue May  6 2003 Tim Waugh <twaugh@redhat.com>
+- No longer need 3.12h-fix patch.
+
+* Tue Apr 29 2003 Tim Waugh <twaugh@redhat.com> 4.5-1
+- 4.5 (bug #88428).  Update zlib patch.
+- Add URL tag (bug #54613).
+
+* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 4.3-5
+- rebuilt
+
+* Tue Jan  7 2003 Tim Waugh <twaugh@redhat.com> 4.3-4
+- Fix up spec_install_post to strip debug info out to separate package
+  (bug #81226).
+
+* Thu Dec 26 2002 Florian La Roche <Florian.LaRoche@redhat.de> 4.3-3
+- Make /usr/share/info/dir a real file and remove /etc/info-dir, that
+  file should be unused for a long time.
+
+* Thu Nov 21 2002 Elliot Lee <sopwith@redhat.com> 4.3-2
+- Don't strip files here (rpm takes care of it)
+- Use pushd/popd instead of enclosing things in (), to make
+  error detection easier
+- Use _smp_mflags
+
+* Tue Nov 19 2002 Tim Waugh <twaugh@redhat.com> 4.3-1
+- 4.3.
+- No longer need fileextension or malloccheck patches.
+- Update zlib patch.
+
+* Wed Oct 23 2002 Tim Waugh <twaugh@redhat.com> 4.2-6
+- Don't install files not packaged.
+- Fix file list (bug #55816).
+
+* Mon Sep  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.2-5
+- Fix crash w/ MALLOC_CHECK_ == 2 (#72831)
+
+* Tue Jul  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.2-4
+- Add infokey (#67728)
+
+* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
+- automated rebuild
+
+* Thu May 23 2002 Tim Powers <timp@redhat.com>
+- automated rebuild
+
+* Tue Apr 23 2002 Florian La Roche <Florian.LaRoche@redhat.de>
+- 4.2
+
+* Tue Mar  5 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.1-1
+- 4.1 (#60714)
+
+* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
+- automated rebuild
+
+* Tue Aug  7 2001 Bernhard Rosenkraenzer <bero@redhat.com> 4.0b-3
+- Don't create the desktop file - we don't install it anyway.
+
+* Sat Jul 21 2001 Tim Powers <timp@redhat.com>
+- remove the info viewer from the menus, it's cluttering things
+
+* Wed May 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
+- 4.0b
+
+* Tue Apr 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 4.0a-1
+- Update to 4.0a, the patch looks sane
+
+* Fri Feb 23 2001 Trond Eivind Glomsrød <teg@redhat.com>
+- langify
+- don't create desktop file in spec file
+
+* Tue Jan 23 2001 Preston Brown <pbrown@redhat.com>
+- danish translation added
+
+* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
+- Rebuild to get rid of 0777 dirs
+
+* Wed Nov  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
+- Fix recognition of .?o extensions in texi2dvi, Bug #20498
+
+* Thu Sep  7 2000 Jeff Johnson <jbj@redhat.com>
+- FHS packaging (64bit systems need to use %%_libdir not /usr/lib).
+
+* Sat Aug 19 2000 Trond Eivind Glomsrød <teg@redhat.com>
+- really do it - #16120
+
+* Mon Aug 14 2000 Helge Deller <hdeller@redhat.com>
+- gzip man-pages, #16120
+
+* Mon Aug  7 2000 Tim Waugh <twaugh@redhat.com>
+- List man-pages in %%files.
+
+* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
+- Add Swedish and German translations to desktop file, Bug #15366
+
+* Thu Aug  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
+- mark /etc/info-dir %%verify(not md5 size mime), Bug #14826
+
+* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
+- automatic rebuild
+
+* Wed Jun 28 2000 Bill Nottingham <notting@redhat.com>
+- fix build wackiness with info page compressing
+
+* Fri Jun 16 2000 Bill Nottingham <notting@redhat.com>
+- fix info-dir symlink
+
+* Thu May 18 2000 Preston Brown <pbrown@redhat.com>
+- use FHS paths for info.
+
+* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
+- rebuild with current ncurses
+
+* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
+- wmconfig -> desktop
+
+* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
+- fix descriptions
+
+* Wed Jan 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
+- move info-stnd.info* to the info package, /sbin/install-info it
+  in %%post (Bug #6632)
+
+* Thu Jan 13 2000 Jeff Johnson <jbj@redhat.com>
+- recompile to eliminate ncurses foul-up.
+
+* Tue Nov  9 1999 Bernhard Rosenkränzer <bero@redhat.com>
+- 4.0
+- handle RPM_OPT_FLAGS
+
+* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
+- import version 3.12h into 6.1 tree from HJLu
+
+* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
+- auto rebuild in the new build environment (release 4)
+
+* Wed Mar 17 1999 Erik Troan <ewt@redhat.com>
+- hacked to use zlib to get rid of the requirement on gzip
+
+* Wed Mar 17 1999 Matt Wilson <msw@redhat.com>
+- install-info prerequires gzip
+
+* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
+- version 3.12f
+- make /usr/info/dir to be a %%config(noreplace)
+
+* Wed Nov 25 1998 Jeff Johnson <jbj@redhat.com>
+- rebuild to fix docdir perms.
+
+* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
+- fix allocation problems in install-info
+
+* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
+- /sbin/install-info should not depend on /usr/lib/libz.so.1 -- statically
+  link with /usr/lib/libz.a.
+
+* Fri Aug 07 1998 Erik Troan <ewt@redhat.com>
+- added a prereq of bash to the info package -- see the comment for a
+  description of why that was done
+
+* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
+- translations modified for de
+
+* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
+- add %%attr to permit non-root build.
+
+* Thu May 07 1998 Prospector System <bugs@redhat.com>
+- translations modified for de, fr, tr
+
+* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
+- added %%clean
+- manhattan build
+
+* Wed Mar 04 1998 Cristian Gafton <gafton@redhat.com>
+- upgraded to version 3.12
+- added buildroot
+
+* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
+- moved /usr/info/dir to /etc/info-dir and made /usr/info/dir a
+  symlink to /etc/info-dir.
+
+* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
+- added wmconfig entry for info
+
+* Wed Oct 01 1997 Donnie Barnes <djb@redhat.com>
+- stripped /sbin/install-info
+
+* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
+- added info-dir to filelist
+
+* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
+- added patch from sopwith to let install-info understand gzip'ed info files
+- use skeletal dir file from texinfo tarball (w/ bash entry to reduce
+  dependency chain) instead (and install-info command everywhere else)
+- patches install-info to handle .gz names correctly
+
+* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
+- built against glibc
+
+* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
+- patched install-info.c for glibc.
+- added /usr/bin/install-info to the filelist
+
+* Tue Feb 18 1997 Michael Fulbright <msf@redhat.com>
+- upgraded to version 3.9.
